.container-education{
    min-height: 100vh;

    display: flex;
    align-items: center;
    justify-content: center;
}

.education{
    max-width: 1200px;
    margin: 20px auto;
    padding: 30px;
}

.education-header{
    width: 100%;
    text-align: center;
    padding-bottom: 90px;
}

.education-header h1{
    font-size: 40px;
}

.education .row{
    display: grid;
    grid-template-columns: 1fr 2px 1fr;
    grid-column-gap: 40px;
}

.row .date{
    grid-area: theDate;
}

.row .line{
    position: relative;
    background-color: white;
    grid-area: theLine;
}

.line span{
    position: absolute;
    width: 20px;
    height: 20px;
    background-color: #101010;
    border: 2px solid #bad3e2;
    border-radius: 50%;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    transition: all 0.5s;
}

.row .content{
    padding: 20px;
    background-color: #222222;
    border-radius: 10px;
    grid-area: theContent;
}

.content h2{
    line-height: 1.5;
    font-size: 24px;
    padding-bottom: 8px;
    color: #bad3e2;
}

.content p{
    font-size: 19px;
    line-height: 1.5;
}

.row:nth-child(odd){
    grid-template-areas: 'theDate theLine theContent';
}

.row:nth-child(even){
    grid-template-areas: 'theContent theLine theDate';
}

.row .content, .row .date{
    margin-bottom: 35px;
}

.row:nth-child(odd) .date{
    text-align: right;
}

.date span{
    display: inline-block;
    padding: 10px 16px;
    font-weight: 600;
    border: 2px solid #bad3e2;
    border-radius: 25px;
    position: relative;
    top: -7px;
}

.line .last-point{
    top: initial;
    bottom: 0;
}

.row .last{
    margin-bottom: 0;
}

.row:hover .line span:not(.last-point){
    background-color: #bad3e2;
    box-shadow: 0 0 9px 3px #bad3e2;
}

@media (max-width: 768px){
    .container-education{
        padding-top: 10%;
    }

    .education{
        padding: 0;
    }

    .education-header{
        padding-bottom: 60px;
    }

    .row:nth-child(odd),
    .row:nth-child(even){
        grid-template-columns: 2px 1fr;
        grid-template-areas: 'theLine theDate'
                             'theLine theContent';
    }

    .row:nth-child(odd) .date{
        text-align: left;
    }

    .row .date{
        margin-bottom: 5px;
    }

    .row .content{
        margin-bottom: 25px;
    }

    .content h2{
        font-size: 22px;
    }
    
    .content p{
        font-size: 17px;
    }

    .row .last{
        margin-bottom: 5px;
    }
}

@media (max-width: 520px){
    .row .line{
        display: none;
    }

    .row:nth-child(odd),
    .row:nth-child(even){
        grid-template-columns: 1fr;
        grid-column-gap: 0;
    }

    .row .content{
        width: 400px;
    }

    .content h2{
        font-size: 20px;
    }

    .content p{
        font-size: 15px;
    }
}

@media (max-width:460px){
    .education{
        padding: 0% 10px 10px 10px;
    }
}

@media (max-width: 425px){
    .education{
        padding-top: 6%;
    }

    .row .content{
        width: 260px;
    }
}